[Nitro] nitro 0.31 && facets/more/consoleapp

Michael Fellinger manveru at weez-int.com
Fri Aug 4 04:26:16 EDT 2006


On Friday 04 August 2006 17:02, Alexander Lazic wrote:
> Hi,
>
> today i have try to run nitro from a fresh setup but.
> The ruby install (./configure --prefix=/home/al/progs/ruby && make &&
> make test && make install) works fine also the install of:
>
> gem install nitro
> gem install rake
> gem install mongrel --source=http://mongrel.rubyforge.org/releases/
> gem install facets (for version 1.7.x i haven't found the *consoleapp*
>                     into 1.4.x)
> ---
> Why i have decide to make a ruby from source, because the debian ruby
> don't have the 'mkmf' :-(

you just have to install the headers for ruby - it's called ruby-dev in 
apt-get or something...
just do
`apt-cache search ruby | grep dev`

> ---
>
> After a call of
>
> /home/al/progs/ruby/bin/nitro start
>
> i get the follwing error:
>
> ---
> /home/al/progs/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
> \ `gem_original_require': no such file to load -- facets/more/consoleapp \
> (LoadError)
>         from \
> 	/home/al/progs/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:i
>n `require' from
> /home/al/progs/ruby/lib/ruby/gems/1.8/gems/nitro-0.31.0/bin/nitro:3 from
> /home/al/progs/ruby/bin/nitro:18
> ---
>

this is very easy to explain - and there's a patch out already but i guess the 
gems haven't been updated :|

edit this file with root
/usr/lib/ruby/gems/1.8/gems/nitro-0.31.0/bin/nitro

and change line 3:

- require 'facets/more/consoleapp'
to
+ require 'facets/more/command'


ok, now that should fix the error.
also keep in mind that you can always use the good old `ruby run.rb` - which 
is almost exactly what the nitro-command does :)
and `nitro start` is the same as `nitro` alone...

thanks for the detailed information - it's always nice to have a detailed 
error-report :)

MfG
manveru

> a
>
> find /home/al/progs/ruby/lib/ruby/gems/1.8/gems  -name "*consoleapp*"
>
> returns
>
> ./facets-1.4.5/proj/calibre/ProjectInfo.consoleapp
>
> Please can anybody help to solve this error ;-)
>
> which ruby
> /home/al/progs/ruby/bin/ruby
>
> ruby -v
> ruby 1.8.4 (2005-12-24) [i686-linux]
>
> which gem
> /home/al/progs/ruby/bin/gem
>
> gem -v
> 0.9.0
>
> ---
> /home/al/progs/ruby/lib/ruby/gems/1.8/gems$ ls -1
> RedCloth-3.0.3
> daemons-0.4.4
> facets-1.4.5
> facets-1.7.0
> gem_plugin-0.2.1
> gen-0.31.0
> glue-0.31.0
> laber
> mongrel-0.3.13.4
> nitro-0.31.0
> og-0.31.0
> rake-0.7.1
> ruby-breakpoint-0.5.1
> sources-0.0.1
> ---
>
> Thanks for help && regards
>
> Alex
> _______________________________________________
> Nitro-general mailing list
> Nitro-general at rubyforge.org
> http://rubyforge.org/mailman/listinfo/nitro-general


More information about the Nitro-general mailing list